Bug Hunting Session
Bug 117673 - Bahnschrift font problem
Summary: Bahnschrift font problem
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.4.2 release
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Font-Rendering
  Show dependency treegraph
 
Reported: 2018-05-17 18:23 UTC by Matthew Koons
Modified: 2019-03-23 21:57 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
View of font window (1.75 MB, image/jpeg)
2018-05-17 19:31 UTC, Matthew Koons
Details
PDF with screenshots (625.31 KB, application/pdf)
2018-06-30 16:51 UTC, Mike
Details
file (201.22 KB, application/vnd.rar)
2018-06-30 16:53 UTC, Mike
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Koons 2018-05-17 18:23:42 UTC
Description:
The Bahnschrift font (one of my favorite fonts for a book I'm making) is showing really consensed in the latest releases of LibreOffice.  Ever since v. 6 

Actual Results:  
n/a

Expected Results:
n/a


Reproducible: Always


User Profile Reset: No



Additional Info:
[Information automatically included from LibreOffice]
Locale: en-US
Module: TextDocument
[Information guessed from browser]
OS: Windows (All)
OS is 64bit: no


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/66.0.3359.181 Safari/537.36
Comment 1 Dieter Praas 2018-05-17 19:27:43 UTC
Thank you for reporting the bug. Can you add an example (screenshot in LO 6 in comparison to LO 5?), so that it makes your report more clear. I can't see a difference between LO 6.1 and LO 5.4 (after a really short test)

I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' once the requested document is provided.
(Please note that the attachment will be public, remove any sensitive information before attaching it. 
See https://wiki.documentfoundation.org/QA/FAQ#How_can_I_eliminate_confidential_data_from_a_sample_document.3F for help on how to do so.)
Comment 2 Matthew Koons 2018-05-17 19:31:30 UTC
Created attachment 142172 [details]
View of font window
Comment 3 Matthew Koons 2018-05-17 19:32:42 UTC
I have the most recent version. 

Not sure if I can dl the older versions. 

I hope the screen shot helps.

— Matt
Comment 4 Dieter Praas 2018-05-17 19:56:08 UTC
Hi Matthew, I'm sorry, but I still don't understand the problem. I can see a lot of different types of "Bahnschrift", but I assume that this doesn't depend on LO, but on your font installation (but I'm not an expert in this topic).
Comment 5 Adolfo Jayme 2018-05-17 23:22:43 UTC
This looks related to bug 116812, which is fixed in 6.1 (current alpha version). Can you download it and retest? See https://wiki.documentfoundation.org/QA/Testing_Daily_Builds
Comment 6 Mike 2018-06-30 16:50:28 UTC
Confirmed!

LO 5.4 and above do not support kerning of "Bahnschrift" 2.00 font.

LO does not support kerning of font „Bahnschrift“ 2.00. LO is affected of the kerning issue since 5.4.
The old release 1.00 still works with the latest release of LO!
Issue can be reproduced with Win 7.

(Microsoft supplied font „Bahnschrift“ 1.00 to all Win 10 systems with fall 2017 update. In following Win 10 update [May 2018], they released „Bahnschrift“ 2.00.)


Reproduction of issue:

1. Run Windows 10 (with May 2018 update)
2. Start Writer (LO 5.4 or later)
3. Choose font „Bahnschrift“
4. Type something
-> No kerning of Bahnschrift (2.00)

The first version to have this issue with Bahnschrift 2.00 is LO 5.4.
LO 5.3 works with 2.00 and 1.00. Every LO release (up to 6.5 alpha) works with version 1.00.

Version: 6.2.0.0.alpha0+ (x64)
Build ID: 7696d1d217b6cff63490e7f98403d0e499c33d17
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-06-30_01:51:45
Locale: de-DE (de_DE); Calc: group threaded

Version: 6.0.5.2 (x64)
Build-ID: 54c8cbb85f300ac59db32fe8a675ff7683cd5a16
CPU-Threads: 4; BS: Windows 10.0; UI-Render: GL; 
Gebietsschema: de-DE (de_DE); Calc: CL
Comment 7 Mike 2018-06-30 16:51:33 UTC
Created attachment 143230 [details]
PDF with screenshots
Comment 8 Mike 2018-06-30 16:53:06 UTC
Created attachment 143231 [details]
file
Comment 9 V Stuart Foote 2018-06-30 17:05:51 UTC
Still NEEDINFO to OP as in comment 5 to test with a 6.1.0 beta, or current daily master/6.2.0 build, making this a duplicate of bug 116812

=-ref-=
https://downloadarchive.documentfoundation.org/libreoffice/old/

https://dev-builds.libreoffice.org/daily/master/

Notes on install in parallel are here: https://wiki.documentfoundation.org/Installing_in_parallel
Comment 10 Mike 2018-06-30 17:08:17 UTC
I tested it with current daily build! (As I stated in my comment)


Version: 6.2.0.0.alpha0+ (x64)
Build ID: 7696d1d217b6cff63490e7f98403d0e499c33d17
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-06-30_01:51:45
Locale: de-DE (de_DE); Calc: group threaded
Comment 11 V Stuart Foote 2018-06-30 17:22:58 UTC
(In reply to Mike from comment #10)
> I tested it with current daily build! (As I stated in my comment)
> 
> 
> Version: 6.2.0.0.alpha0+ (x64)
> Build ID: 7696d1d217b6cff63490e7f98403d0e499c33d17
> CPU threads: 4; OS: Windows 6.1; UI render: default; 
> TinderBox: Win-x86_64@42, Branch:master, Time: 2018-06-30_01:51:45
> Locale: de-DE (de_DE); Calc: group threaded

Sure, and as indicated the NEEDINFO is to OP, also--differences between versions of Bahnschrift fonts was not what was originally raised--and actually you've "high jacked" the BZ issue ;-), so lets see what OP has to report with their version of Banschrift and current master--how-about?
Comment 12 Mike 2018-07-01 07:47:33 UTC
Ok, got it! :-)
Comment 13 Xisco Faulí 2018-07-02 23:03:35 UTC
Dear Matthew Koons,
Could you please try to reproduce it with a master build from http://dev-builds.libreoffice.org/daily/master/ ?
You can install it alongside the standard version.
Comment 14 QA Administrators 2019-01-11 15:23:05 UTC Comment hidden (obsolete)
Comment 15 QA Administrators 2019-03-21 11:25:43 UTC Comment hidden (obsolete)
Comment 16 LibreTraining 2019-03-23 21:57:16 UTC
Bahnschrift is a variable font.
It is my understanding that there is no support for variable fonts in LO.

> Khaled Hosny (inactive) from comment #11)
> We currently do not support variable fonts at all, any apparent support is
> accidental. 
https://bugs.documentfoundation.org/show_bug.cgi?id=108497#c11

Bahnschrift 1.00 had 5 weights, all one width.
Perhaps that worked with the previous text rendering engine set-up.
As mentioned above, this may just be a lucky accident.

Bahnschrift 2.00 has 5 weights and 3 widths.
It appears that LO is having a problem with those multiple widths.

This is not likely to be resolved until there is actual support for variable fonts.